=== debian/control ===
Source: kf6-kimageformats
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libavif-dev (>= 1~),
               libcups2-dev,
               libheif-dev (>= 1.10.0~),
               libheif-plugin-j2kdec <!nocheck>,
               libheif-plugin-libde265 <!nocheck>,
               libheif-plugin-x265 <!nocheck>,
               libjxl-dev (>= 0.7.0~) [linux-any],
               libkf6archive-dev (>= 6.18.0~),
               libopenexr-dev (>= 3.0~),
               libopenjp2-7-dev,
               libraw-dev (>= 0.20.2~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-image-formats-plugins <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kimageformats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats.git
Rules-Requires-Root: no

Package: kimageformat6-plugins
Architecture: any
Depends: libheif-plugin-j2kdec,
         libheif-plugin-libde265,
         libheif-plugin-x265,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kf6-kimageformat-plugins,
Replaces: kf6-kimageformat-plugins,
Description: additional image format plugins for Qt Gui
 This framework provides additional image format plugins for QtGui.  As
 such it is not required for the compilation of any other software, but
 may be a runtime requirement for Qt-based software to support certain
 image formats.
 .
 This package is part of KDE Frameworks 6.
