## kf6-kimageformats 6.18.0+p24.04+vstable+git20250926.0537

=== debian/changelog ===
kf6-kimageformats (6.18.0+p24.04+vstable+git20250926.0537-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 05:38:05 +0000
