=== debian/control ===
Source: kf6-kimageformats
Section: kde
Priority: optional
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               libavif-dev,
               libcups2-dev,
               libheif-dev,
               libjxl-dev,
               libjxr-dev,
               libopenexr-dev,
               libopenjp2-7-dev,
               libraw-dev,
               pkg-kde-tools-neon,
               pkgconf,
               python3-imath,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kimageformats
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kimageformats.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kimageformats
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kimageformat-plugins
Architecture: any
Depends: python3-imath, ${misc:Depends}, ${shlibs:Depends}
Description: additional image format plugins for QtGui
 This framework provides additional image format plugins for QtGui.  As
 such it is not required for the compilation of any other software, but
 may be a runtime requirement for Qt-based software to support certain
 image formats.
 .
 This package is part of KDE Frameworks.
