## kf6-kimageformats 6.19.0+p24.04+vunstable+git20251009.0324

=== debian/changelog ===
kf6-kimageformats (6.19.0+p24.04+vunstable+git20251009.0324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 03:24:25 +0000
