## kf6-kimageformats 6.19.0+p24.04+vunstable+git20251015.0954

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 include(CheckIncludeFiles)
 include(FindPkgConfig)
 
-set(REQUIRED_QT_VERSION 6.8.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6Gui ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
 find_package(KF6Archive ${KF_DEP_VERSION})
