=== debian/changelog ===
kf6-kimageformats (6.19.0+p24.04+vunstable+git20251015.0954-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:54:55 +0000
