## kf6-kimageformats 6.19.0+p24.04+vunstable+git20251018.2358

=== debian/changelog ===
kf6-kimageformats (6.19.0+p24.04+vunstable+git20251018.2358-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 18 Oct 2025 23:58:25 +0000
