## kf6-kimageformats 6.20.0+p24.04+vunstable+git20251123.2316

=== debian/changelog ===
kf6-kimageformats (6.20.0+p24.04+vunstable+git20251123.2316-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 23:16:32 +0000
