=== debian/changelog ===
kf6-kimageformats (6.21.0+p24.04+vstable+git20260103.0201-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:01:30 +0000

kf6-kimageformats (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:12:06 +1000
