=== debian/changelog ===
kf6-kimageformats (6.22.0+p24.04+vstable+git20260122.1252-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:52:43 +0000

kf6-kimageformats (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:43:39 +1000
